Subject: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: Philip Kaludercic <[email-masked]>
Date: Wed, 12 Apr 2023 07:35:48 +0000

Stefan Monnier <[email-masked]> writes:

>>>> I don't think that "update" and "upgrade" have that clear of a semantic
>>>> difference in practice to necessitate a renaming.
>>> I'd tend to agree.
>>
>> Here's an argument in favor of renaming:
>>
>> These commands use the term 'update'. But package-menu-mark-upgrades, which
>> has been in package.el for years, uses the term 'upgrade' in its name and
>> its docstring ("all upgradable packages", etc). There are a few auxiliary
>> functions which also use that term, but this is the public-facing one.

I have to admit that I didn't even notice that the command used the word
upgrade... Probably because I only invoked it using the binding, though
I do get the point with it being inconsistent.

>> So now we have divergent terminology. Which implies that there is some
>> difference between "upgrading" and "updating" in package.el, while there
>> is none.
>
> Good point.
>
> It's annoyingly late to rename, but if we rename without compatibility
> aliases (which seems to be an option since these are new in Emacs-29),
> then I'd be in favor.

What are compatibility aliases?  I must have missed something?

>         Stefan